## pgsql-http 1.6.0

=== debian/changelog ===
pgsql-http (1.6.0-5.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Remove needs-internet from debian/tests/control.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 20:43:05 +0200

pgsql-http (1.6.0-5) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:43:05 +0200

pgsql-http (1.6.0-4) unstable; urgency=medium

  * Additionally mark autopkgtest as flaky.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Apr 2024 12:18:49 +0200

pgsql-http (1.6.0-3) unstable; urgency=medium

  * Mark autopkgtest with needs-internet.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Apr 2024 11:48:06 +0200

pgsql-http (1.6.0-2) unstable; urgency=medium

  * Disable build-time tests. (Closes: #1068656)
  * Skip autopkgtest when networking is unavailable.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Apr 2024 09:33:57 +0000

pgsql-http (1.6.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Apr 2024 17:05:58 +0200

=== debian/tests/control ===
Depends:
 curl,
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr, flaky, skippable

## pgsql-http 1.6.1

=== debian/changelog ===
pgsql-http (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Oct 2024 14:26:30 +0200

## pgsql-http 1.7.0

=== Makefile ===

MODULE_big = http
OBJS = http.o
EXTENSION = http

DATA = $(wildcard *.sql)

REGRESS = http
EXTRA_CLEAN =

CURL_CONFIG = curl-config
PG_CONFIG = pg_config

CFLAGS += $(shell $(CURL_CONFIG) --cflags)
LIBS += $(shell $(CURL_CONFIG) --libs)
SHLIB_LINK := $(LIBS)

ifdef DEBUG
COPT			+= -O0 -Werror -g
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pgsql-http 1.6.3

=== debian/changelog ===
pgsql-http (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2025 16:18:45 +0100

=== debian/control ===
Source: pgsql-http
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libcurl4-openssl-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/pramsey/pgsql-http
Vcs-Browser: https://salsa.debian.org/postgresql/pgsql-http
Vcs-Git: https://salsa.debian.org/postgresql/pgsql-http.git

Package: postgresql-17-http
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: HTTP client for PostgreSQL, retrieve a web page from inside the database
 PostgreSQL extension to make HTTP requests from within the database, returning
 results for usage in SQL queries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# skip tests, they need networking

=== debian/tests/control ===
Depends:
 curl,
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr, needs-internet, flaky, skippable

## pgsql-http 1.7.0

=== debian/changelog ===
pgsql-http (1.7.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117312)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:02:14 +0200

pgsql-http (1.7.0-2) experimental; urgency=medium

  * Disable all external test URLs.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2025 15:35:15 +0200

pgsql-http (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0.
  * Run networking tests against a local gunicorn/httpbin server.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2025 13:45:59 +0200

=== debian/control ===
Source: pgsql-http
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 gunicorn <!nocheck>,
 libcurl4-openssl-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3-gevent <!nocheck>,
 python3-httpbin <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/pramsey/pgsql-http
Vcs-Browser: https://salsa.debian.org/postgresql/pgsql-http
Vcs-Git: https://salsa.debian.org/postgresql/pgsql-http.git

Package: postgresql-18-http
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: HTTP client for PostgreSQL, retrieve a web page from inside the database
 PostgreSQL extension to make HTTP requests from within the database, returning
 results for usage in SQL queries.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh_installdocs --all README.*
 
 override_dh_pgxs_test:
-	# skip tests, they need networking
+	debian/tests/installcheck . . postgresql-%v-http

=== debian/tests/control ===
Depends:
 gunicorn,
 postgresql-common-dev,
 python3-gevent,
 python3-httpbin,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/pramsey/pgsql-http/tags .*/v(.*).tar.gz
